Update Webhook
curl --request PATCH \
--url https://integration.getmateo.com/api/v1/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source": "(auth.role())",
"active": true,
"target_url": "<string>",
"headers": {},
"method": "POST"
}
'import requests
url = "https://integration.getmateo.com/api/v1/webhook"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source": "(auth.role())",
"active": True,
"target_url": "<string>",
"headers": {},
"method": "POST"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
source: '(auth.role())',
active: true,
target_url: '<string>',
headers: {},
method: 'POST'
})
};
fetch('https://integration.getmateo.com/api/v1/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source": "(auth.role())",
"active": true,
"target_url": "<string>",
"headers": {},
"method": "POST",
"event": "contact.created"
}This response has no body data.Webhook
Update Webhook
Update an existing webhook
Update Webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select columns to return
Webhook ID
Webhook creation date
Latest update
Organisation ID
Name of webhook
Source of webhook
Is the webhook active?
Target url of webhook
Header of webhook
Webhook method
Event of webhook
Body
application/json
webhook
Webhook ID
Webhook creation date
Latest update
Organisation ID
Name of webhook
Source of webhook
Available options:
zapier, n8n, make, authenticated Is the webhook active?
Target url of webhook
Header of webhook
Webhook method
Available options:
GET, POST, PUT, PATCH Event of webhook
Available options:
contact.created, contact_details.updated, contact.deleted, conversation.inbound, conversation.tag, conversation.untag, conversation.assign, conversation.unassign, conversation.submission_error, conversation.sending_error, conversation.outbound, conversation.reopen, conversation.close, form_submission.completed, form_submission.aborted, contact.updated Response
The updated Webhook object
Webhook ID
Webhook creation date
Latest update
Organisation ID
Name of webhook
Source of webhook
Available options:
zapier, n8n, make, authenticated Is the webhook active?
Target url of webhook
Header of webhook
Webhook method
Available options:
GET, POST, PUT, PATCH Event of webhook
Available options:
contact.created, contact_details.updated, contact.deleted, conversation.inbound, conversation.tag, conversation.untag, conversation.assign, conversation.unassign, conversation.submission_error, conversation.sending_error, conversation.outbound, conversation.reopen, conversation.close, form_submission.completed, form_submission.aborted, contact.updated